> ## Documentation Index
> Fetch the complete documentation index at: https://docs.benzinga.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Available News Channels

> Returns a list of all available news channels that can be used to filter news items. Channels can have sub-channels, but they will all be listed as their own item.



## OpenAPI

````yaml /openapi/news-api_api.spec.yml GET /api/v2.1/news/channels
openapi: 3.0.0
info:
  contact: {}
  description: Bearer token authentication
  title: Newsfeed & Why is it Moving v2
  version: 2.0.0
servers:
  - url: https://api.benzinga.com
    description: PROD
security: []
paths:
  /api/v2.1/news/channels:
    get:
      tags:
        - Channels
      summary: Get available news channels
      description: >-
        Returns a list of all available news channels that can be used to filter
        news items. Channels can have sub-channels, but they will all be listed
        as their own item.
      operationId: get-channels
      responses:
        '200':
          description: success
          content:
            application/json:
              schema:
                additionalProperties: true
                type: object
        '500':
          description: Internal Server Error
          content:
            application/json:
              schema:
                additionalProperties: true
                type: object

````